{% extends 'layouts/artdrop.html.twig' %}

{% block title %}ArtDrop _ Compte{% endblock %}


{% block titleAndDecription %}
    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche un message de bienvenue -->
        <h2>Espace utilisateur</h2>
        <p>Bienvenue dans votre espace personnel. C'est ici que vous pouvez retrouver toutes vos collections, regroupant
            les contenus que vous avez créés ou appréciés.</p>
    {% else %}
        <!-- Si l'utilisateur n'est pas connecté, affiche un message d'erreur -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}
{% endblock %}

{% block section %}
    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche une section avec des services -->
        <!-- ======= Services Section ======= -->
        <section id="services" class="services">
            <div class="container">

                <div class="row gy-4">

                    <!-- Service 1 : Mes œuvres -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-brush"></i>
                            <h4><a href="{{ path('artwork') }}" class="stretched-link">Mes oeuvres</a></h4>
                            <p>Ceci est votre espace réservé, vous pouvez ajouter, modifier ou supprimer vos créations,
                                partager votre Esprit créatif avec votre public.</p>
                        </div>
                    </div><!-- End Service Item -->

                    <!-- Service 2 : Ma biography -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-book"></i>
                            <h4><a href="{{ path('biography') }}" class="stretched-link">Biographie</a></h4>
                            <p>Partager avec votre public la raison profonde qui vous pousse à créer, les passions qui
                                animent votre art, et l'inspiration qui éclaire vos œuvres. </p>
                        </div>
                    </div><!-- End Service Item -->

                    <!-- Service 3 : Mes lien vers les réseaux sociaux -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-globe"></i>
                            <h4><a href="{{ path('network') }}" class="stretched-link">Reseaux sociaux</a></h4>
                            <p>Connectez vos réseaux sociaux à votre profil artistique pour partager votre univers
                                créatif avec votre public sur diverses plateformes en ligne.</p>
                        </div>
                    </div><!-- End Service Item -->

                    <!-- Service 4 : Mes favoris -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-arrow-through-heart"></i>
                            <h4><a href="{{ path('favorite') }}" class="stretched-link">Création favorite</a></h4>
                            <p>"Retrouvez ici toutes les œuvres que vous avez enregistrées comme favorites. redécouvrer
                                et apprécier ces créations spéciales."</p>
                        </div>
                    </div><!-- End Service Item -->

                    <div class="alert-message">
                        {% include 'includes/flash-message.html.twig' %}
                    </div>

                </div>

            </div>
        </section><!-- End Services Section -->
    {% endif %}
{% endblock %}